Bug 791148 - Kernel boot options in grub config for newly installed kernels
Kernel boot options in grub config for newly installed kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 05:46 EST by Josef Lusticky
Modified: 2013-02-13 16:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:15:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josef Lusticky 2012-02-16 05:46:07 EST
Description of problem:
Currently when newer kernel is installed on system, new menu entry in grub is created and kernel options are copied from the actually default entry.
This behaviour is common for all kernels: kernel and kernel-debug.
But if the actual default entry is debug kernel and non-debug kernel is installed it copies all kernel boot options as well. The kernel boot options for debug kernel can be often specific for debug purposes.
This way users must edit the grub entries after every new kernel is installed.

The behaviour I suggest is to copy kernel boot options from the latest debug kernel if installing a new debug kernel.
And to copy kernel boot options from the latest non-debug kernel if installing a new non-debug kernel.


Version-Release number of selected component (if applicable):
3.2.6-3.fc16

How reproducible:
always

Steps to Reproduce:
1. yum install kernel-debug , edit kernel boot options in grub for it's entry and choose it as default entry
2. yum update kernel -> new menu entry is created but with kernel boot options for debug kernel
  
Actual results:
new menu entry is created with kernel boot options for debug kernel

Expected results:
new menu entry is created but with kernel boot options for non-debug kernel

Additional info:
There are things to consider - especially the question of choosing the latest (by version) kernel menu entry vs. default (by menu) menu entry.
Comment 1 Josh Boyer 2012-02-16 07:20:47 EST
grubby is responsible for creating new grub entries.
Comment 2 Fedora End Of Life 2013-01-16 11:59:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 16:15:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.